AurionAI Docs

Delete Sip Trunk

Delete a SIP trunk configuration. - default: attempts LiveKit cleanup first; returns 409 on cleanup failure - force=true: removes DB row and records potential orphaned LiveKit IDs

DELETE
/api/v1/configuration/sip-trunks/{trunk_id}

Delete a SIP trunk configuration.

  • default: attempts LiveKit cleanup first; returns 409 on cleanup failure
  • force=true: removes DB row and records potential orphaned LiveKit IDs

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

trunk_id*Trunk Id

SIP trunk UUID

Formatuuid

Query Parameters

force?Force
Defaultfalse

Response Body

application/json

application/json

curl -X DELETE "https://loading/api/v1/configuration/sip-trunks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}